Pod::Spec.new do |s|
  s.name             = 'WebIdDigitalSigningPlugin'
  s.version          = '12.0.0-SNAPSHOT'
  s.summary          = 'The WebID DigitalSigning plugin for iOS.'

  s.homepage         = 'https://webid-solutions.de/'
  s.license          = { :type => 'Commercial', :text => 'Copyright (C) 2013 - 2024 WebID  Solutions GmbH | www.webid-solutions.de. All Rights Reserved' }
  s.author           = { 'WebID Solutions GmbH' => 'it-service@webid-solutions.de' }
  
  s.platform         = :ios
  s.source           = { :http => 'https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdDigitalSigningPlugin/12.0.0/WebIdDigitalSigningPlugin.framework-v12.0.0-SNAPSHOT-808.zip', :sha256 => '648cbbad7535d02de9af116e474429d3345fc4421e1ea4f8a8408141cfe419b2' }
  s.swift_versions   = ['5.5']
  
  s.frameworks       = 'UIKit'

  s.ios.deployment_target = '13.0'
  s.ios.vendored_frameworks = 'WebIdDigitalSigningPlugin.xcframework'

  s.dependency "WebIdPluginCore", "13.0.2-SNAPSHOT" #branch:redesign-v4-snapshots
  s.dependency "WebIdSdkUiKitComponents", "10.0.1-SNAPSHOT" #branch:redesign-v4-snapshots
end
